package java.nio.file.attribute;

import java.nio.ByteBuffer;
import java.io.IOException;
import java.util.List;

public interface UserDefinedFileAttributeView extends FileAttributeView
{
    public abstract String name();
    
    public abstract List<String> list() throws IOException;
    
    public abstract int size(String p0) throws IOException;
    
    public abstract int read(String p0, ByteBuffer p1) throws IOException;
    
    public abstract int write(String p0, ByteBuffer p1) throws IOException;
    
    public abstract void delete(String p0) throws IOException;
}
